<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<mat-sidenav-container>
  <mat-sidenav #sidenav id="pact-sidenav" class="menu" role="navigation">
    <mat-list (click)="closeSideNav()">
      <div class="menu-item">
        <a id="pact-privileged-actions-menu-link" href="" routerLink="/privileged-actions">
          <mat-list-item>{{'menu.pending-actions' | translate}}</mat-list-item>
        </a>
        <mat-chip-list *ngIf="pendingCount > 0">
          <mat-chip id="pact-pending-count-chip" color="accent" selected="true">{{pendingCount}}</mat-chip>
        </mat-chip-list>
      </div>
      <mat-divider></mat-divider>
      <div class="menu-item">
        <a id="pact-configuration-deployment-menu-link" href="" routerLink="/configuration-deployments">
          <mat-list-item>{{'menu.configuration-deployments' | translate}}</mat-list-item>
        </a>
      </div>
      <mat-divider></mat-divider>
      <div class="menu-item">
        <a id="pact-voting-materials-creation-menu-link" href="" routerLink="/voting-materials-creation">
          <mat-list-item>{{'menu.voting-materials-creation' | translate}}</mat-list-item>
        </a>
      </div>
      <mat-divider></mat-divider>
      <div class="menu-item">
        <a id="pact-voting-materials-invalidation-menu-link" href="" routerLink="/voting-materials-invalidation">
          <mat-list-item>{{'menu.voting-materials-invalidation' | translate}}</mat-list-item>
        </a>
      </div>
      <mat-divider></mat-divider>
      <div class="menu-item">
        <a id="pact-voting-period-initialization-menu-link" href="" routerLink="/voting-period-initialization">
          <mat-list-item>{{'menu.voting-period-initialization' | translate}}</mat-list-item>
        </a>
      </div>
      <mat-divider></mat-divider>
    </mat-list>
    <div class="version" *ngIf="version">
      <div class="build-number">
        {{version.buildNumber}}
      </div>
      <div class="build-timestamp">
        {{version.buildTimestamp | date:'dd.MM.yyyy HH:mm'}}
      </div>
    </div>
  </mat-sidenav>
  <mat-sidenav-content role="main">
    <div class="loading-indicator" [hidden]="!isLoading">
      <mat-progress-spinner mode="indeterminate" color="primary"></mat-progress-spinner>
    </div>
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>
